setSubnetNetworkAcl

Prev Next

Available in VPC

Set the network ACL for a specific subnet in a VPC.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vpc/v2/setSubnetNetworkAcl
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code for the subnet whose network ACL you want to set up
subnetNo String Required Number of the subnet for which you want to set the Network ACL
networkAclNo String Required Network ACL number
responseFormatType String Optional Response result format
  • xml (default) | json

Request example

The following is a sample request.

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/setSubnetNetworkAcl
?regionCode=KR
&subnetNo=***43
&networkAclNo=***31' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See NetworkAclList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The following is a sample response.

<setSubnetNetworkAclResponse>
  <requestId>b2610abd-bbec-49dd-9757-2f8fc8ee9f3a</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <networkAclList>
    <networkAcl>
      <networkAclNo>***31</networkAclNo>
      <networkAclName>test-***</networkAclName>
      <vpcNo>***04</vpcNo>
      <networkAclStatus>
        <code>SET</code>
        <codeName>set</codeName>
      </networkAclStatus>
      <networkAclDescription></networkAclDescription>
      <createDate>2020-07-31T16:38:52+0900</createDate>
      <isDefault>false</isDefault>
    </networkAcl>
  </networkAclList>
</setSubnetNetworkAclResponse>